---
layout: post
title:  "Release 0.9.5"
date: Tue 16 Mar 15:39:22 GMT 2021
---

I am pleased to announce the release of Coot 0.9.5


I am releasing it now in the hope that someone will
use it for the 2021 EM Validation Challenge.

The most important new feature of 0.9.5 is bringing control of the
weights to the user-level. The Refinement and Regularization Control
widget now provides user access to the weighting of various components
during the refinement. Additional the torsion esds have been tightened
for rotamer restraints.  Coot's cif parser has changed in line with developments
from my colleagues with the production of restraints that contain nuclear
distances for hydrogen atoms - and now Coot will use these preferentially.
Using these distances brought to light a small number of typing errors
in the description of some non-bonded contacts - and these have now been
addressed.

If you use Coot for refinement including hydrogen atoms, then if you should
keep them for the Molprobity analysis:

`$ molprobity.molprobity test.pdb keep_hydrogens=True nuclear=True`

`$ molprobity.clashscore test.pdb keep_hydrogens=True nuclear=True`

**Source:**

https://www2.mrc-lmb.cam.ac.uk/personal/pemsley/coot/source/releases/coot-0.9.5.tar.gz

**Binaries:**

https://www2.mrc-lmb.cam.ac.uk/personal/pemsley/coot/binaries/release/

**WinCoot:**

Bernhard will announce his schedule in due course.


  **Release 0.9.5**

  o FEATURE: Search monomer library has images

  o FEATURE: New command-line program coot-ligand-validation

  o FEATURE: Add "Label Atoms in Residue" menu item

  o FEATURE: Add command line argument `--run-state-script`

  o FEATURE: Add function `set_torsion_restraints_weight()` to the API

  o FEATURE: Real space refinement now has dynamic weights (under More Control)

  o CHANGE:  Fall-back to monomer atoms for the chemical diagram when there are missing
             atoms in the model for hetgroups

  o CHANGE:  Scheme interface to refmac is now non-blocking

  o CHANGE:  `set_map_is_difference_map()` function now takes an argument (so that you can now
             say that a map is not a difference map)

  o CHANGE:  Map density histogram is now improved

  o CHANGE:  1-4 Non-bonded contacts adjusted

  o CHANGE:  Chiral volume sigma reduced to 0.1 A^3

  o CHANGE:  Change the configuration of RDKit in configure
             Now use `--with-enhanced-ligand-tools` and `--with-rdkit-prefix=prfx`

  o BUG-FIX: fix up the use of residue-exists? in mutate-it

  o BUG-FIX: installation of side-chain data [thanks John Bollinger]

  o BUG-FIX: `refine_zone()` on a single residue works again 

