---
layout: post
title:  "Coot vs. AA-RNA"
date: Mon 5 Jun 15:28:43 BST 2023
---

As you may know, the CCP4 Monomer Library has been undergoing changes recently.

Of particular interest to _Coot_ users is the new link "AA-RNA" which creates a link
between the C of a peptide residue and the O3' of RNA. In _Coot_ 0.9.8.8 and prior,
when an RNA residues comes close to a protein residue then this link was invoked.

Often several at the same time.

And upon refinement, that ripped apart the model.

That's not good.

So I have fixed the link-generation code to include a proximity check for the "AA-RNA" link type:

[9bb39c34a884326f9cc734e2efb2d25ca03e08a6](https://github.com/pemsley/coot/commit/9bb39c34a884326f9cc734e2efb2d25ca03e08a6)

While I was at it, I cleaned up the bogus SS links too (in the dictionary, SS bonds are made between
peptides, not CYS residues).

The fix will be version 0.9.8.9.

Thanks to Keitaro Yamashita for pointing this out.


